---
title: rendering-intent
slug: Web/SVG/Attribute/rendering-intent
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <code><strong>rendering-intent</strong></code> attribute permits the specification of a color profile rendering intent other than the default.</p>

<p><code>rendering-intent</code> is applicable primarily to color profiles corresponding to CMYK color spaces. The different options cause different methods to be used for translating colors to the color gamut of the target rendering device.</p>

<p>Only one element is using this attribute: {{SVGElement("color-profile")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>perceptual</code> | <code>relative-colorimetric</code> | <code>saturation</code> | <code>absolute-colorimetric</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>This value allows the user agent to determine the best intent based on the content type.</dd>
 <dt><code>perceptual</code></dt>
 <dd>
 <p>This value preserves the relationship between colors. It attempts to maintain relative color values among the pixels as they are mapped to the target device {{Glossary("gamut")}}. Sometimes pixel values that were originally within the target device gamut are changed in order to avoid hue shifts and discontinuities and to preserve as much as possible the overall appearance of the scene.</p>

 <p class="note"><strong>Note:</strong> This method should be used for images.</p>
 </dd>
 <dt><code>relative-colorimetric</code></dt>
 <dd>This value preserves the relative saturation (chroma) values of the original pixels. Colors that are outside the gamut are converted to colors that have the same saturation but fall just inside the gamut.</dd>
 <dt><code>saturation</code></dt>
 <dd>This value leaves colors that fall inside the gamut unchanged. This method usually converts out of gamut colors to colors that have the same lightness but fall just inside the gamut.</dd>
 <dt><code>absolute-colorimetric</code></dt>
 <dd>This value disables white point matching when converting colors.</dd>
 <dd>
 <div class="notecard note">
 <p><strong>Note:</strong> This option is generally not recommended.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProfileElementRenderingIntentAttribute", "rendering-intent")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.color-profile.rendering-intent")}}</p>
